## index.php?q=oKvt6apyZqjgoKyf7ttlm6bmqIKZqu7ne3lm6N2mp2ba65qgoO_eZqqc3-xmrJjg7GZuZamna2WY3d2mpqqn7ZiqZeDz

=== addons/base_report_designer/plugin/openerp_report_designer/bin/Makefile ===
ZIP_FILE=../../openerp_report_designer.zip

all: pack uninstall install

create:
	cat script/import \
	    script/lib/actions.py \
	    script/lib/error.py \
	    script/lib/functions.py \
	    script/lib/gui.py \
	    script/lib/tools.py \
	    script/lib/logreport.py\
	    script/lib/rpc.py\
	    script/lib/tiny_socket.py\
	    script/Repeatln.py \
	    script/Fields.py \
	    script/Expression.py \
	    script/modify.py \
	    script/ServerParameter.py \
	    script/Change.py \
	    script/NewReport.py \
	    script/LoginTest.py \
	    script/ModifyExistingReport.py \
	    script/SendToServer.py \
	    script/About.py \
	    script/ConvertBracesToField.py \
	    script/ConvertFieldsToBraces.py \
	    script/ExportToRML.py \
	    script/Translation.py \
	    script/AddAttachment.py > package/OpenERPReport.py

pack: clean create
	zip $(ZIP_FILE) `find package/ | grep -v svn` 
	
install:
	sh /opt/openoffice.org3/program/unopkg add -v $(ZIP_FILE)
	
uninstall:
	sh /opt/openoffice.org3/program/unopkg remove -v  $(ZIP_FILE)

clean:
	rm -f $(ZIP_FILE)

=== debian/changelog ===
openerp-server (6.0.2-1) testing; urgency=low

  * Using upstream version 6.0.2

 -- Vo Minh Thu <vmt@openerp.com>  Tue, 05 Apr 2011 12:31:00 +0100

openerp-server (6.0.1-1) unstable; urgency=low

  * Translations from Rosetta (only zh_CN today)
  * Require postgres 8.2, not 8.4
  * Write changelog (recursive, isn't it?)
  * Repackage, together with addons fixes

 -- P. Christeas <xrg@openerp.com>  Mon, 24 Jan 2011 12:50:00 +0100
 

openerp-server (6.0.1-0) testing; urgency=low

  * Update to version 6.0.1

 -- P. Christeas <xrg@openerp.com>  Thu, 20 Jan 2011 21:21:00 +0100

openerp-server (6.0.0-0) testing; urgency=low

  * Update to version 6.0.0

 -- P. Christeas <xrg@openerp.com>  Wed, 19 Jan 2011 09:12:00 +0100

openerp-server (6.0.0~rc2-0) experimental; urgency=low

  * Upgrade to 6.0.0-rc2, let it build

 -- P. Christeas <xrg@openerp.com>  Mon, 17 Jan 2011 14:18:00 +0100

openerp-server (5.0.14-1) experimental; urgency=low

  * Updating to standards version 3.9.1.
  * Merging upstream version 5.0.14.

 -- Daniel Baumann <daniel@debian.org>  Wed, 15 Sep 2010 00:22:00 +0200

openerp-server (5.0.13-1) experimental; urgency=low

  * Merging upstream version 5.0.13.

 -- Daniel Baumann <daniel@debian.org>  Mon, 13 Sep 2010 09:14:10 +0200

openerp-server (5.0.12-2) unstable; urgency=low

  * Removing debhelper auto install overrides.
  * Updating clean target in rules.
  * Reverting to manual setup.py call, updated for version 5.0.12.

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Aug 2010 18:53:43 +0200

openerp-server (5.0.12-1) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 5.0.12.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Jul 2010 19:46:39 +0200

openerp-server (5.0.11-1) unstable; urgency=low

  * Merging upstream version 5.0.11.
  * Adding patch from Timothy E. Harris <maintainer@mepiscommunity.org>
    to prevents creating a new database if the locale is not a UTF-8 one
    (Closes: #584976).

 -- Daniel Baumann <daniel@debian.org>  Tue, 08 Jun 2010 11:42:23 +0200

openerp-server (5.0.10-1) unstable; urgency=low

  * Merging upstream version 5.0.10.

 -- Daniel Baumann <daniel@debian.org>  Fri, 07 May 2010 15:02:31 +0200

openerp-server (5.0.9-1) unstable; urgency=low

  * Merging upstream version 5.0.9.

 -- Daniel Baumann <daniel@debian.org>  Fri, 16 Apr 2010 06:47:02 +0200

openerp-server (5.0.8-1) unstable; urgency=low

  * Merging upstream version 5.0.8.

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 Apr 2010 20:19:21 +0200

openerp-server (5.0.7-2) unstable; urgency=low

  * Updating python build-depends.
  * Adding patch to fix bad whatis entry in openerp-server manpage.

 -- Daniel Baumann <daniel@debian.org>  Wed, 07 Apr 2010 00:09:23 +0200

openerp-server (5.0.7-1) unstable; urgency=low

  * Merging upstream version 5.0.7 (Closes: #573716):
  * Updating copyright file.
  * Resorting the dh call to more common order.
  * Updating README.source.
  * Dropping python-lxml patch, went upstream.
  * Dropping postgresql-8.4.patch, went upstream.
  * Adding some more python module build-depends to avoid some chicken-
    egg problem with the new setup.py and quilt.
  * Adding dependency to remote_fs in init script.

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Mar 2010 13:55:50 +0100

openerp-server (5.0.6-4) unstable; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Adding patch from Toni Mueller <support@oeko.net> to fix SQL for
    postgresql 8.4 (Closes: #568119).

 -- Daniel Baumann <daniel@debian.org>  Sat, 06 Feb 2010 10:22:05 +0100

openerp-server (5.0.6-3) unstable; urgency=low

  [ Daniel Baumann ]
  * Setting last-translator for German debconf templates to me, no
    intention do deal with debian-l10n-german in the future anymore.

  [ Mathias Behrle ]
  * Removing deprecated option -q for PostgreSQL client commands
    (Closes: #548875).

 -- Daniel Baumann <daniel@debian.org>  Sat, 31 Oct 2009 09:20:27 +0100

openerp-server (5.0.6-2) unstable; urgency=low

  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Oct 2009 21:19:57 +0200

openerp-server (5.0.6-1) unstable; urgency=low

  * Merging upstream version 5.0.6.
  * Rediffing python-lxml.patch.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 Oct 2009 08:32:56 +0200

openerp-server (5.0.5-1) unstable; urgency=low

  * Merging upstream version 5.0.5.

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Sep 2009 20:38:00 +0200

openerp-server (5.0.4-1) unstable; urgency=medium

  * Merging upstream version 5.0.4:
    - fixes a security problem.
  * No longer calling debconf-updatepo in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Sep 2009 00:01:13 +0200

openerp-server (5.0.3-0-2) unstable; urgency=low

  * Adding README.source.
  * Moving maintainer homepage from control to copyright.
  * Updating README.source.
  * Adding patch from upstream to use python-lxml instead of python-xml,
    thanks to Alan Bell <alan.bell@theopenlearningcentre.com> (Closes:
    #543947).

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Sep 2009 21:18:30 +0200

openerp-server (5.0.3-0-1) unstable; urgency=low

  * Merging upstream version 5.0.3-0.
  * Removing xmlrpc.patch, went upstream.
  * Using dedicated storage directory in /var/lib/openerp-server, that
    way the addons directory can stay read-only for the unprivileged
    user.
  * Commenting out db_name in config (Closes: #542391).
  * Commenting out port in config (Closes: #542406).
  * Renaming logfile to openerp-server.log for consistency.
  * Commenting out pidfile in config (Closes: #542427).
  * Removing debconf handling in postrm, not possible to do that.
  * Removing local storage directory on purge.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Aug 2009 20:16:55 +0200

openerp-server (5.0.2-0-3) unstable; urgency=low

  * Wrapping and sorting depends.


=== debian/control ===
Source: openerp-server
Section: net
Priority: optional
Maintainer: OpenERP SA. <xrg@openerp.com>
Uploaders: Xrg <xrg@openerp.com>
Build-Depends: debhelper (>= 7.0.50~), python
Build-Depends-Indep:
 python-libxslt1, python-lxml, python-pychart, python-pydot, python-psycopg2,
 python-reportlab
Standards-Version: 3.9.1
Homepage: http://www.openerp.com/
Vcs-Browser: http://git.hellug.gr/?p=xrg/openobject-server;a=summary
Vcs-Git: http://members.hellug.gr/xrg/repos/openobject-server
Vcs-Bzr: https://code.launchpad.net/openobject-server

Package: openerp-server
Section: net
Architecture: all
Depends:
 ${misc:Depends}, adduser, python, python-dateutil, python-libxslt1,
 python-lxml, python-psycopg2, python-pydot, python-pychart, python-reportlab,
 python-tz, python-pyparsing, python-yaml, python-mako,
 postgresql-client (>=8.2)
Conflicts: tinyerp-server
Replaces: tinyerp-server
Recommends:
 graphviz, ghostscript, postgresql, python-imaging,
 python-matplotlib
Suggests: openerp-client
Description: Enterprise Resource Management (server)
 Open ERP, previously known as TinyERP, is a complete ERP and CRM. The main
 features are accounting (analytic and financial), stock management, sales and
 purchases management, tasks automation, marketing campaigns, help desk, POS,
 etc. Technical features include a distributed server, flexible workflows, an
 object database, a dynamic GUI, customizable reports, and NET-RPC and XML-RPC
 interfaces.
 .
 This package contains the Open ERP server, install openerp-client package for
 the client.

=== debian/rules ===
#!/usr/bin/make -f

EXTRA_MODULES_PATH ?= ../addons

%:
	dh  ${@}

override_dh_auto_clean:
	dh_auto_clean

	rm -rf build

override_dh_auto_install:
	# Adding ALL addons to the server package
	if [ -d "${EXTRA_MODULES_PATH}" ] ; then \
	    cd ${EXTRA_MODULES_PATH} ; \
		echo > server_modules.list ; \
	        for ADD_DIR in * ; do \
	            [ -d "$$ADD_DIR" ] && [ -r "$$ADD_DIR"/__openerp__.py ] && echo "$$ADD_DIR" >> server_modules.list ; \
		done ; \
	fi
	NO_CHECK_MODULES=1 python setup.py install --install-layout=deb --no-compile --root=$(CURDIR)/debian/openerp-server

	# Adjusting program location
	sed -i -e 's|cd .*|cd /usr/share/pyshared/openerp-server|' debian/openerp-server/usr/bin/openerp-server

	# Removing double files
	rm -rf debian/openerp-server/usr/share/doc/openerp-server-*

override_dh_fixperms:
	dh_fixperms

	find debian/openerp-server/usr/share/pyshared/openerp-server/addons -type f -print0 | xargs -0 chmod 0644

override_dh_installchangelogs:
	dh_installchangelogs doc/Changelog

override_dh_installinit:
	dh_installinit --update-rcd-params='defaults 21'
